<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

	<xsl:output method="html" />

	<!-- ************************** -->
	<xsl:param name="ID" select="'?'"/>
	<!-- ************************** -->

	<xsl:template match="//familytree">
        <html>
		<xsl:call-template name="html-header"/>
        <body>
        <a name="top"><!-- Seitenanfang --></a>
        <center>
        <p>
			<!-- ************************************** -->
 			<xsl:apply-templates select="member[@id=$ID]"/>
			<!-- ************************************** -->
		</p>
        </center>
        </body>
        </html>
	</xsl:template>


    <!--
    	HTML-Header incl. Meta-Tags
    -->
    <xsl:template name="html-header">
		<head>
        <title>Stammbaum der Familie <xsl:value-of select="//familytree/@id"/></title>
        <link rel="stylesheet" type="text/css" href="../style.css" />
		</head>
	</xsl:template>


    <!--
        Ausgabe einer einzelnen Person
    -->
    <xsl:template match="member">
        <a>
            <xsl:attribute name="name">id<xsl:value-of select="@id"/></xsl:attribute>
        </a>

        <p>&#160;</p>

        <!-- Rahmentabelle -->
		<table border="4" cellspacing="0" cellpadding="0" bordercolordark="#606060"><tr><td>

		<table border="1" cellspacing="0" cellpadding="10" bgcolor="#f8f0e8">
			<tr>
				<td>
                    Vater:
			        <a>
						<xsl:variable name="myFatherID"><xsl:value-of select="father/@id"/></xsl:variable>
						<!-- ************************************************************************** -->
	       				<xsl:attribute name="href"><xsl:value-of select="$myFatherID"/>.htm</xsl:attribute>
						<!-- ************************************************************************** -->
			            <xsl:value-of select="//member[@id=$myFatherID]/@nickname"/><xsl:text> </xsl:text>
			            <xsl:value-of select="//member[@id=$myFatherID]/@name"/>
					</a>
	            </td>
				<td>
                    Mutter:
			        <a>
						<xsl:variable name="myMotherID"><xsl:value-of select="mother/@id"/></xsl:variable>
						<!-- ************************************************************************** -->
        				<xsl:attribute name="href"><xsl:value-of select="$myMotherID"/>.htm</xsl:attribute>
						<!-- ************************************************************************** -->
			            <xsl:value-of select="//member[@id=$myMotherID]/@nickname"/><xsl:text> </xsl:text>
			            <xsl:value-of select="//member[@id=$myMotherID]/@name"/>
					</a>
	            </td>
			</tr>
			
			<tr>
				<td colspan="2" align="center" class="big" bgcolor="#ffffff">
                   	<xsl:value-of select="@nickname"/><xsl:text> </xsl:text>
					<xsl:value-of select="@name"/><xsl:text> </xsl:text>
				</td>
			</tr>
			
			<tr>
				<td colspan="2">
					<xsl:if test="string-length(birth-date)>0">
						Geboren <xsl:value-of select="birth-date"/>
							<xsl:if test="string-length(birth-place)>0">
		                	    in <xsl:value-of select="birth-place"/>
							</xsl:if>
							<xsl:if test="string-length(birth-name)>0">
		            	        als <xsl:value-of select="fullname"/>
                                <xsl:text> </xsl:text>
		    	                <xsl:value-of select="birth-name"/>
							</xsl:if>
	                    <br />
					</xsl:if>
					<xsl:if test="string-length(death-date)>0">
						Gestorben <xsl:value-of select="death-date"/>
							<xsl:if test="string-length(death-place)>0">
		                	    in <xsl:value-of select="death-place"/>
							</xsl:if>
							<xsl:if test="string-length(death-name)>0">
		            	        als <xsl:value-of select="title"/>
                                <xsl:text> </xsl:text>
		            	        <xsl:value-of select="fullname"/>
                                <xsl:text> </xsl:text>
		    	                <xsl:value-of select="death-name"/>
							</xsl:if>
	                    <br />
					</xsl:if>
                    <br />

					<xsl:if test="count(image)>0">

						<table border="0" cellspacing="0" cellpadding="5" align="center">
							<tr>

								<!-- Das letzte Bild bestimmen -->
								<xsl:variable name="max">
									<xsl:for-each select="image">
										<xsl:sort select="@no" data-type="number" order="descending"/>
										<xsl:if test="position() = 1"><xsl:value-of select="@no"/></xsl:if>
									</xsl:for-each>
								</xsl:variable>

								<!-- Das favorisierte Bild bestimmen -->
								<xsl:variable name="fav">
									<xsl:for-each select="image">
										<xsl:if test="@fav = 'true'"><xsl:value-of select="@no"/></xsl:if>
									</xsl:for-each>
								</xsl:variable>

								<!-- Wenn favorisiertes Bild, dann nimm dieses. Sonst das letzte Bild -->
								<xsl:variable name="favorite">
									<xsl:choose>
										<xsl:when test="$fav != ''"><xsl:value-of select="$fav"/></xsl:when>
										<xsl:otherwise><xsl:value-of select="$max"/></xsl:otherwise>
									</xsl:choose>
								</xsl:variable>

								<xsl:for-each select="image">
									<xsl:sort data-type="number" order="ascending" select="@order"/>

									<xsl:if test="((@no = $favorite) and boolean(@href))">
										<td>
											<img>
												<xsl:attribute name="src">thumbs/<xsl:value-of select="@href"/></xsl:attribute>
												<xsl:attribute name="border">0</xsl:attribute>
												<xsl:attribute name="width">100</xsl:attribute>
											</img>
											<br />
											<xsl:value-of select="."/>
										</td>
									</xsl:if>

								</xsl:for-each>

							</tr>
						</table>

					</xsl:if>

				</td>
			</tr>

			<tr>
				<td colspan="2">
					<xsl:value-of select="vitae"/>
				</td>
			</tr>

			<tr>
				<td colspan="2">
					<table border="1" cellspacing="0" cellpadding="5" width="100%">
						<tr>

					        <xsl:for-each select="partner">
					            <xsl:sort data-type="number" select="@no"/>

								<td valign="top">

				    	        	Partner<br />

									<a>
										<xsl:variable name="partnerID"><xsl:value-of select="@id"/></xsl:variable>
										<!-- ************************************************************************* -->
										<xsl:attribute name="href"><xsl:value-of select="$partnerID"/>.htm</xsl:attribute>
										<!-- ************************************************************************* -->
										<xsl:value-of select="//member[@id=$partnerID]/@nickname"/><xsl:text> </xsl:text>
										<xsl:value-of select="//member[@id=$partnerID]/@name"/><br />
									</a>

									<xsl:if test="string-length(@start)>0">
					    	            verheiratet seit <xsl:value-of select="@start"/><br />
									</xsl:if>

									<xsl:if test="string-length(@end)>0">
					    	            bis <xsl:value-of select="@end"/><br />
									</xsl:if>

									<xsl:if test="count(child)>0">

										<br />
										Gemeinsame Kinder:<br />

				        		        <xsl:for-each select="child">
       									    <xsl:sort data-type="number" select="@no"/>

											<a>
		        					            <xsl:variable name="childID"><xsl:value-of select="@id"/></xsl:variable>
	                                            <!-- *********************************************************************** -->
												<xsl:attribute name="href"><xsl:value-of select="$childID"/>.htm</xsl:attribute>
	                                            <!-- *********************************************************************** -->
               							    	<xsl:value-of select="//member[@id=$childID]/@nickname"/><xsl:text> </xsl:text>
				   	    		            	<xsl:value-of select="//member[@id=$childID]/@name"/> <br />
											</a>

								        </xsl:for-each>
									</xsl:if>

								</td>

					        </xsl:for-each>

						</tr>
					</table>
                    <table border="0" cellspacing="0" cellpadding="0" width="100%">
						<tr>
		                    <td align="left" width="100%"><sub>(#<xsl:value-of select="@id"/>)</sub></td>
		                    <td align="right" valign="bottom"><a href="../index.htm#top"><img src="../icons/up.gif" border="0" alt="Zum Inhaltsverzeichnis"/></a></td>
		                    <td align="right" valign="bottom"><a href="javascript:window.close()"><img src="../icons/close.gif" border="0" alt="Fenster schlie&#223;en"/></a></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

		</td></tr></table>

        <!-- Etwas Abstand halten -->
		<p><br />&#160;<br />&#160;</p>
    </xsl:template>

</xsl:stylesheet>